PHPExcel_Chart

# Class: PHPExcel_Chart_PlotArea

Source Location: /PHPExcel/Chart/PlotArea.php

### Class Overview

PHPExcel_Chart_PlotArea

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- __construct
- getLayout
- getPlotGroup
- getPlotGroupByIndex
- getPlotGroupCount
- getPlotSeriesCount
- refresh
- setPlotSeries

### Class Details

[line 36]
PHPExcel_Chart_PlotArea

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 55]

`PHPExcel_Chart_PlotArea __construct( [PHPExcel_Chart_Layout $layout = null], [ $plotSeries = array()])`

Create a new PHPExcel_Chart_PlotArea

#### Tags:

access: | public

#### Parameters:

PHPExcel_Chart_Layout | $layout |
| $plotSeries |

[ Top ]

### method getLayout [line 66]

`PHPExcel_Chart_Layout getLayout( )`

Get Layout

#### Tags:

access: | public

[ Top ]

### method getPlotGroup [line 97]

`array getPlotGroup( )`

Get Plot Series

#### Tags:

return: | of PHPExcel_Chart_DataSeries
access: | public

[ Top ]

### method getPlotGroupByIndex [line 106]

`PHPExcel_Chart_DataSeries getPlotGroupByIndex( $index)`

Get Plot Series by Index

#### Tags:

access: | public

#### Parameters:

| $index |

[ Top ]

### method getPlotGroupCount [line 75]

`array getPlotGroupCount( )`

Get Number of Plot Groups

#### Tags:

return: | of PHPExcel_Chart_DataSeries
access: | public

[ Top ]

### method getPlotSeriesCount [line 84]

`integer getPlotSeriesCount( )`

Get Number of Plot Series

#### Tags:

access: | public

[ Top ]

### method refresh [line 119]

`void refresh( PHPExcel_Worksheet $worksheet)`

#### Tags:

access: | public

#### Parameters:

PHPExcel_Worksheet | $worksheet |

[ Top ]

### method setPlotSeries [line 115]

`void setPlotSeries( [array $plotSeries = array()])`

Set Plot Series

#### Tags:

access: | public

#### Parameters:

array | $plotSeries | of PHPExcel_Chart_DataSeries

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:27 +0200 by phpDocumentor 1.4.4